<template>
	<div class="row">
		<div class="col-3">
			<div class="empty_avatar d-flex justify-content-center align-items-center">
				Нет фото
			</div>
		</div>
		<div class="col-9">
			<h4>
				{{ user.full_name }}
			</h4>
			<p>
				Должность: <strong>{{ user.position }}</strong>
				<br>
				Моб. тел: <strong>{{ user.mob_phone }}</strong>
				<br>
				Раб. тел: <strong>{{ user.work_phone }}</strong>
			</p>
		</div>
	</div>
</template>

<script type="text/javascript">
	export default {
		data() {
			return {
				user: '',
				visible: false,
			}
		},
		created() {
			this.$http.get(this.$store.state.api.root+'api/v1/user')
			.then(this.onHttpSuccess,this.onHttpError);
		},
		methods: {
			onHttpSuccess(res) {
				this.user = res.body
			},
			onHttpError(res) {
				console.log(res)
			}
		}
	}
</script>

<style type="text/css">
	.empty_avatar {
		width: 100%;
		height: 200px;
		background: rgba(240,240,240,1);
		border: 1px solid rgb(200,200,200);
	}
</style>